/*
 *	Termcap terminal file, nothing special, just make it big
 *	enough for windowing systems.
 */
/* 90.02.05	Modified for Ng 1.0 by S.Yoshida */

#ifdef	PC9801	/* 90.03.24  by A.Shirahashi */
#define	MEMMAP			/* Not memory mapped video.	*/
#else	/* NOT PC9801 */
#define GOSLING			/* Compile in fancy display.	*/
#endif	/* PC9801 */

#ifdef	MSDOS	/* 90.04.02  by S.Yoshida */
#define NROW	25			/* (maximum) Rows.		*/
#define NCOL	80			/* (maximum) Columns.		*/
#else	/* NOT MSDOS */
#define NROW	66			/* (maximum) Rows.		*/
#define NCOL	132			/* (maximum) Columns.		*/
#endif	/* MSDOS */
/* #define	MOVE_STANDOUT	*/	/* don't move in standout mode	*/
#define STANDOUT_GLITCH			/* possible standout glitch	*/
#define TERMCAP				/* for possible use in ttyio.c	*/

#define getkbd()	(ttgetc())
#ifdef	KANJI	/* 90.02.05  by S.Yoshida */
#define	ungetkbd(c)	(ttungetc(c))
#endif	/* KANJI */

#ifndef XKEYS
#define ttykeymapinit() {}
#endif

#define	putpad(str, num)	tputs(str, num, (int(*)(int))ttputc)

#define	KFIRST	K00
#define	KLAST	K00
