/*
 *		UNIX like functions for Human68k.
 *
 *		Coded by Shigeki Yoshida (shige@csk.CO.JP)
 */
/* 90.02.11	Created for Ng 1.0 MS-DOS ver. by S.Yoshida */
/* 90.11.9	Modified for Ng 1.2.1 Human68k by Sawayanagi Yosirou */

#include	"config.h"	/* 90.12.20  by S.Yoshida */
#include	<time.h>

/* Sleep (busily) for n seconds */
/* But return on key input (kaoru) */
/* 91.01.15  by K.Maeda */
int
sleep (n)
    int n;
{
    register start, laps, s;

    for(; n > 43200; n -= 43200)
	if(sleep(43200))
	    return 1;
    for(s = n*100, start = ONTIME(); n;) {
	if ((laps = ONTIME() - start) < 0)
	    laps += 8640000;
	if (laps >= s)
	    return 0;
    }
}

#ifdef	REGEX
bcmp(s1, s2, len)
register char	*s1;
register char	*s2;
register int	len;
{
	while (len--) {
		if (*s1++ != *s2++) {
			return(1);
		}
	}
	return(0);
}

bzero(s, len)
register char	*s;
register int	len;
{
	while (len--) {
		*s++ = 0;
	}
}
#endif	/* REGEX */
