/*
 *		System V system header file
 */
#include <stdio.h>

#undef	SVR2				/* My System V is Release 2.X.	*/
					/* 91.01.29  Added by S.Yoshida */

#define	KBLOCK	8192			/* Kill grow.			*/
#define	GOOD	0			/* Good exit status.		*/
#define	MAXPATH	256			/* Maximum length of path for chdir */
#ifndef	NO_SHELL	/* 91.01.10  by K.Maeda */
#define	CMDLINELENGTH	128		/* Maximum length of shell command. */
#endif	/* NO_SHELL */
#define	BSMAP	FALSE			/* Bs map feature can use.	*/
					/* (default mode is bsmap off)	*/
#define	MAKEBACKUP	TRUE		/* Making backup file is on.	*/

typedef long	RSIZE;			/* Type for file/region sizes	*/
typedef short	KCHAR;			/* Type for internal keystrokes	*/

/*
 * Macros used by the buffer name making code.
 * Start at the end of the file name, scan to the left
 * until BDC1 (or BDC2, if defined) is reached. The buffer
 * name starts just to the right of that location, and
 * stops at end of string (or at the next BDC3 character,
 * if defined). BDC2 and BDC3 are mainly for VMS.
 */
#define	BDC1	'/'			/* Buffer names.		*/

#define MALLOCROUND(m)	(m+=7,m&=~7)	/* round up to 8 byte boundry	*/

#define	fncmp		strcmp		/* file name comparison		*/
#define bcopy(s,d,n)	memcpy(d,s,n)	/* memory-to-memory copy	*/
#define bzero(s,n)	memset(s,0,n)	/* 91.01.21  Add by H.Kaneko.	*/
#define bcmp(s,d,n)	memcmp(s,d,n)	/* 91.02.04  Add by Y.Nimura.	*/
					/* 91.02.04  strncmp -> memcmp	*/
					/*		by S.Yoshida	*/
char *getenv();
#define	gettermtype()	getenv("TERM")	/* determine terminal type	*/
char *getcwd();
#define getwd(cwd)	getcwd(cwd,NFILEN) /* get current working dir	*/

/* Defines for extra features. */

#define JOBCTRL		/* My System-V has job-control feature! */
			/* by A.ITO, 21 Jan, 1991               */
#define HAVE_SIGWINCH	/* My System-V has SIGWINCH signal!     */
			/* by A.ITO, 21 Jan, 1991               */

