;	fepcsub.asm - Low level support routines for FEPCTRL.
;			by Junn Ohta, Dec. 1990.  Public domain.
;
;			Modified by K.Takano, Jan. 1991.
;
;	To assemble:	masm /Mx /DFEPCTRL [/Dmem?] fepcsub;
;						 ^ L, M, C or S
;

	ifdef FEPCTRL

	ifdef memL
LCODE		equ	1
LDATA		equ	1
	elseifdef memM
LCODE		equ	1
LDATA		equ	0
	elseifdef memC
LCODE		equ	0
LDATA		equ	1
	else
LCODE		equ	0
LDATA		equ	0
	endif


extrn		_fixer_entry:dword
extrn		_atok7_entry:dword
public		_fixer_sub
public		_atok7_sub

	if LCODE
argoff		equ	6
	else
argoff		equ	4
	endif

_TEXT		segment	word public 'CODE'
		assume  cs:_TEXT

	if LCODE
_fixer_sub	proc	far
	else
_fixer_sub	proc	near
	endif
		push	bp
		mov	bp, sp

	if LDATA
		mov	ax, SEG _fixer_entry
		mov	es, ax
		assume	es: SEG _fixer_entry
	endif

		mov	ax, [bp+argoff+0]	;func
		mov	dl, [bp+argoff+2]	;val
	if LDATA
		call	es:_fixer_entry
	else
		call	ds:_fixer_entry
	endif
		mov	al, dl
		sub	ah, ah

		mov	sp, bp
		pop	bp
		ret
_fixer_sub	endp


	if LCODE
_atok7_sub	proc	far
	else
_atok7_sub	proc	near
	endif
		push	bp
		mov	bp, sp
		sub	sp, 32*2		; packet
	if LDATA
		push	ds
	endif

	if LDATA
		mov	ax, SEG _atok7_entry
		mov	ds, ax
		assume	ds: SEG _atok7_entry
	endif

		mov	ax, [bp+argoff+2]	;val
		mov	[bp-64], ax		;packet[0]
		mov	ax, ss
		mov	es, ax
		lea	bx, [bp-64]		;packet
		mov	ax, [bp+argoff+0]	;func
		call	ds:_atok7_entry
		mov	ax, [bp-64]		;packet[0]

	if LDATA
		pop	ds
	endif
		mov	sp,bp
		pop	bp
		ret
_atok7_sub	endp

_TEXT		ends

	endif

		end
